== Why is this an issue?

The cyclomatic complexity of a program should not exceed a defined threshold, otherwise it will be too complex. Complex code can perform poorly, and will be difficult to understand and therefore to maintain.


ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

=== Parameters

.maximumComplexityThreshold
****

----
100
----

The maximum authorized complexity in a program
****


'''
== Comments And Links
(visible only on this page)

=== duplicates: S1908

=== on 28 May 2015, 16:11:23 Ann Campbell wrote:
SQALE updated. See if you think it's reasonable please.

=== on 29 May 2015, 08:33:58 Pierre-Yves Nicolas wrote:
SQALE seems reasonable.

The current implementation of this rule has a maximumComplexityThreshold parameter which has a default value of 100.

=== on 29 May 2015, 14:49:56 Ann Campbell wrote:
nice catch. fixed.

endif::env-github,rspecator-view[]
